import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StringFieldUpdateOperationsInputObjectSchema as StringFieldUpdateOperationsInputObjectSchema } from './StringFieldUpdateOperationsInput.schema';
import { NullableStringFieldUpdateOperationsInputObjectSchema as NullableStringFieldUpdateOperationsInputObjectSchema } from './NullableStringFieldUpdateOperationsInput.schema';
import { AppointmentUpdateOneRequiredWithoutFilesNestedInputObjectSchema as AppointmentUpdateOneRequiredWithoutFilesNestedInputObjectSchema } from './AppointmentUpdateOneRequiredWithoutFilesNestedInput.schema'

const makeSchema = () => z.object({
  filename: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  mimeType: z.union([z.string(), z.lazy(() => NullableStringFieldUpdateOperationsInputObjectSchema)]).optional().nullable(),
  filePath: z.union([z.string(), z.lazy(() => NullableStringFieldUpdateOperationsInputObjectSchema)]).optional().nullable(),
  appointment: z.lazy(() => AppointmentUpdateOneRequiredWithoutFilesNestedInputObjectSchema).optional()
}).strict();
export const AppointmentFileUpdateInputObjectSchema: z.ZodType<Prisma.AppointmentFileUpdateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileUpdateInput>;
export const AppointmentFileUpdateInputObjectZodSchema = makeSchema();
